%{?nodejs_find_provides_and_requires}

%global packagename pkg-dir
%global enable_tests 0
# Tests disabled due to missing npm(ava)

Name:		nodejs-pkg-dir
Version:	1.0.0
Release:	1%{?dist}
Summary:	Find the root directory of a npm package

License:	MIT
URL:		https://github.com/sindresorhus/pkg-dir
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/sindresorhus/pkg-dir/v%{version}/test.js


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(find-up)
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
%endif

%description
Find the root directory of a npm package


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
# insert test suite here
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"

%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}


%changelog
* Fri Feb 12 2016 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-1
- Initial packaging
